appcan.define("scroller", function($, exports, modules) {
    var INSTANCE_SCROLL;
    var loadingStep = 0;
    exports.instance = function(id, onScrollUp) {
        if (!INSTANCE_SCROLL) {
            INSTANCE_SCROLL = new IScroll('#' + id, {
                probeType : 2,
                scrollbars : true,
                mouseWheel : true,
                fadeScrollbars : true,
                bounce : true,
                interactiveScrollbars : true,
                shrinkScrollbars : 'scale',
                click : true,
                keyBindings : true,
                momentum : true
            });
        }
        INSTANCE_SCROLL.on('scroll', function() {
            //要滑动的div高度小于父div高度时，不进行滑动
            // if (this.maxScrollY == 0) {
                // return false;
            // }
            if (loadingStep == 0) {
                if ((this.y - this.maxScrollY) < 300) {
                    loadingStep = 1;
                    //上划刷新  距离底部还有300PX时开始提前预加载,以便实现无缝刷新
                    onScrollUp(function(llen) {
                        loadingStep = 0;
                        if(llen > 0 || llen==-1){
                            INSTANCE_SCROLL.refresh();
                        }
                    });
                }
            }
        });
    }
    document.addEventListener('touchmove', function(e) {
        e.preventDefault();
    }, false);
});
