appcan.define("voice", function($, exports, module) {
    exports.loadVoice = function(url,callback) {
        var context;
        if(webkitAudioContext){
            context = new webkitAudioContext();
        }else{
            context = new AudioContext();//标准
        }
        var request = new XMLHttpRequest();
        request.open("GET", url, true);
        request.responseType = "arraybuffer";
        request.onload = function() {
            context.decodeAudioData(request.response, function(buffer) {
                var duration = buffer.duration;//录音时长
                appcan.common.debug('解码完毕：');
                appcan.common.debug(buffer);
                var source = context.createBufferSource();
                source.buffer = buffer;
                source.connect(context.destination);
                source.start(0);
                callback(null,duration);
            }, function(e){
                console.log(e);
                callback(e,null);
            });
        }
        request.send();
    }
}); 