appcan.define("repeatLogin",
function($, exports, module) {
    exports.login = function(callback) {
        var userName = appcan.getLocVal('loginName');
        var passWord = appcan.getLocVal('loginPass');
        var obj = {
            loginName: userName,
            loginPwd: passWord,
        }
        appcan.common.ajax('login', obj,
        function(data) {
            if ('ok' == data.status) {
                data = data.data;
                uexWindow.publishChannelNotification('registerEasemob', data.USER_ID + "," + passWord);
                appcan.setLocVal('loginUserInfo', JSON.stringify(data));
                appcan.setLocVal('userType', data.TYPE);
                appcan.setLocVal('userId', data.USER_ID);
                appcan.setLocVal('loginName', data.USER_NAME);
                appcan.setLocVal('loginPass', passWord);
                if (data.TYPE == 1) {
                    if (data.SELLER_ID) {
                        appcan.setLocVal("loginSellerId", data.SELLER_ID);
                        appcan.setLocVal("loginCarryId", data.CARRY_ID);
                        setAlias("seller" + data.SELLER_ID);
                    }
                }
                callback(null, data);
            } else {
                callback(data.message, null);
            }
        });
    }
    var setAlias = function(userId) {
        var params = {
            alias: userId
        };
        var data = JSON.stringify(params);
        uexJPush.setAlias(data);
    }
});