/**
 * Created by Office on 2015/11/17.
 */

/*
 * 功能：创建banner图,使用zy_slide.js
 * pid：容器id
 * point:是否有数量点true/false
 * label:是否有label true/false
 * atuo：是否自动轮播 2000ms
 * icon:初始默认图片
 * json_data:数据对象，格式：
 * [{
 *  "id":"",
 *  "img":"",
 *  "label":""
 * }]
 * imgCss:图片裁切样式,ub-img4
 * cb:回调函数，返回数组中的一个原素对象
 * dh:父容器高度(如18em，传入18)
 */

function create_slider(pid,point,label,auto,icon,json_data,imgCss,cb,dh){
    var $id = function(id){
        return document.getElementById(id);
    }
    var loadImg = function(id,url){
        console.log("-------"+id+"=="+url)

        var nimg =  new Image();
        nimg.src = url;
        nimg.onload = function(){
            console.log(id+"==="+url)
            $id(id).style.backgroundImage = 'url('+nimg.src+')';
        }
    }
    var move_point = function(n,m){
        if(label){
            $id("label_id").innerHTML = json_data[n].label;
        }
        if(point){
            for(var k = 0;k<=m;k++){
                if(k==n){
                    $id("pointId"+k).style.color = "#FFF";
                }else{
                    $id("pointId"+k).style.color = "rgba(242,245,248,0.5)";
                }

            }
        }

    }
    this._callback = function(ind_){
        cb(json_data[ind_]);
    }
    var pdiv = $id(pid);
    pdiv.innerHTML = '';
    pdiv.className = "ub ub-ver uof";
    pdiv.style.height = dh + "em";
    var topVal = parseFloat(dh)-1.3;
    pdiv.innerHTML = '<div class="ub-f1 ub" id="slide_img"></div>'+
    '<div class="ub ub-pc" style="height:1.3em;width:100%;position: absolute;top:'+topVal+'em;" id="showLabel">'+
        //'<div id="label_id" class="ub-f1 ub-ac ub umar-l" style="color:#FFF;overflow:hidden"></div>'+
    '<div id="point_id" class="ub ub-ac umar-l"></div>'+
    '</div>';

    for(var i = 0;i< json_data.length;i++){
        var _obj = json_data[i];
        var newDiv = document.createElement("div");
        newDiv.className = "ub-fh ub";
        var event_str ="";
        if(cb){
            event_str = ' onclick="_callback('+i+')"';
        }
        var css_img = imgCss || "ub-img"
        var _str = '<div '+event_str+' class="ub-f1 '+css_img+'" id="'+_obj.id+'" style="background-image:url('+icon+')"></div>'
        newDiv.innerHTML = _str;
        //console.log($id("slide_img"));
        $id("slide_img").appendChild(newDiv);
        loadImg(_obj.id,_obj.img);

        if(point){
            //$id("showLabel").style.backgroundColor = "rgba(0,0,0,0.5)";
            var point_div = document.createElement("div");
            point_div.className = "umar-r";
            point_div.id = "pointId"+i;
            point_div.innerHTML = "●";
            if(i==0){
                point_div.style.color = "#FFF";
            }else{
                point_div.style.color = "rgba(242,245,248,0.5)";
            }
            $id("point_id").appendChild(point_div);
        }
        if(label != "" && i==0){
            $id("showLabel").style.backgroundColor = "rgba(0,0,0,0.5)";
            $id("label_id").innerHTML = _obj.label;
        }
    }
    var index_num = 0;
    var slide_ = new zySlide("slide_img","H",function(){
        if(index_num==json_data.length){
            index_num++;
        }else{
            index_num = 0;
        }

        var cur_index = slide_.currentPoint;
        var max_index = slide_.maxPoint;
        move_point(cur_index,max_index);
    });

    var auto_move = function(){
        if(index_num!=(json_data.length-1)){
            index_num++;
        }else{
            index_num = 0;
        }
        var timer_ = setTimeout(function(){
            timer_ = clearTimeout(timer_);
            //console.log("index_num=="+index_num)
            slide_.moveToPoint(index_num);
            move_point(index_num,json_data.length-1);
            auto_move();
        },auto);
    }
    if(auto){
        auto_move();
    }
}
